import { BasicColumn, FormSchema } from '@/components/Table';
import { DescItem } from '@/components/Description';
import { c } from 'node_modules/vite/dist/node/types.d-aGj9QkWt';

export const columns: BasicColumn[] = [
  {
    title: ' ',
    dataIndex: 'name',
    width: 120,
  },
  // {
  //   title: '插件状态',
  //   dataIndex: 'status',
  //   width: 120,
  // },
];
export const columnsRight: BasicColumn[] = [
  {
    title: '数据源',
    dataIndex: 'source',
    width: 120,
  },
  {
    title: '数据库',
    dataIndex: 'database',
    width: 120,
  },
  {
    title: '数据表',
    dataIndex: 'table',
    width: 120,
  },
  {
    title: '字段',
    dataIndex: 'field',
    width: 120,
  },
  { title: '开始时间', dataIndex: 'startTime', width: 120 },
  { title: '结束时间', dataIndex: 'endTime', width: 120 },
  {
    title: '耗时',
    dataIndex: 'consumeTime',
    width: 120,
  },
  {
    title: '规则',
    dataIndex: 'qualityRule',
    width: 120,
  },
  {
    title: '执行状态',
    dataIndex: 'result',
    width: 120,
    sorter: true,
  },
];
export const modEditColumns: BasicColumn[] = [
  {
    title: '连接名称',
    dataIndex: 'name',
    width: 80,
  },
  {
    title: '连接类型',
    dataIndex: 'type',
    width: 80,
  },
  {
    title: '连接字符串',
    dataIndex: 'filed',
    width: 120,
  },
];
export const ruleSchema: FormSchema[] = [
  {
    field: 'path',
    label: '路径',
    component: 'TreeSelect',
    componentProps: {
      treeData: [
        {
          label: 'system',
          value: 'system',
          children: [
            { label: 'discover2', value: 'discover2' },
            { label: 'tmp', value: 'tmp' },
          ],
        },
        { label: 'discover', value: 'discover' },
      ],
    },
    colProps: { lg: 24 },
    defaultValue: 'system|discover|tmp',
    required: true,
  },
  {
    field: 'fileName',
    label: '文件名称',
    component: 'Input',
    colProps: { lg: 24 },
    componentProps: {},
    defaultValue: '白名单test',
    required: true,
  },
  {
    field: 'description',
    label: '描述',
    component: 'Input',
    colProps: { lg: 24 },
  },
  {
    field: 'fileType',
    label: '文件类型',
    component: 'Input',
    componentProps: {
      disabled: true,
    },
    colProps: { lg: 24 },
    defaultValue: '质量白名单',
  },
  {
    field: 'tableName',
    label: '名单存储表名',
    component: 'Input',
    componentProps: {},
    colProps: { lg: 24 },
    required: true,
  },
];
export const detailHookColumns: BasicColumn[] = [
  {
    title: '实例地址',
    dataIndex: 'name',
    width: 120,
  },
  {
    title: '生产者分区ID',
    dataIndex: 'code',
    width: 120,
  },
  {
    title: '生成者注释',
    dataIndex: 'remark',
    width: 120,
  },
  {
    title: '实例状态',
    dataIndex: 'status',
    width: 120,
  },
];
export const refundSchema: DescItem[] = [
  {
    field: 'type',
    label: '认证类型',
  },
  {
    field: 'name',
    label: '当前消费组名称',
  },
  {
    field: 'code',
    label: '消费者分组ID',
  },
  {
    field: 'theme',
    label: '消费者主体',
  },
];
export const KafkaColumns: BasicColumn[] = [
  {
    title: 'Partition Number',
    dataIndex: 'PartitionNumber',
    width: 120,
  },
  {
    title: 'LastEndOffset',
    dataIndex: 'LastEndOffset',
    width: 120,
  },
  {
    title: 'CurrentOffset',
    dataIndex: 'CurrentOffset',
    width: 120,
  },
  {
    title: 'Lag',
    dataIndex: 'Lag',
    width: 120,
  },
];
